# -*- encoding: utf-8 -*-

from django.contrib import admin

from .models import RSSFeed, FeedChannel
from .models import Subscription, TrackedContent


class SubscriptionAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "name", "url", "server",
        "channels", "creation_datetime"
    ]


class TrackedContentAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "content_url", "subscription",
        "creation_datetime"
    ]


admin.site.register(Subscription, SubscriptionAdmin)
admin.site.register(TrackedContent, TrackedContentAdmin)

